%def_without test

%define module		Set-IntSpan
%define m_distro	Set-IntSpan
%define m_name		Set::IntSpan
Name: perl-%module
Version: 1.12
Release: alt1

Summary: Set::IntSpan - Manages sets of integers
Summary(ru_RU.KOI8-R): Set::IntSpan -      
Group: Development/Perl
License: GPL

Url: http://search.cpan.org/dist/%module/
Source: %m_distro-%version.tar.gz

BuildRequires: perl-devel

%description
Set::IntSpan manages sets of integers.  It is optimized for sets that
have long runs of consecutive integers.  These arise, for example, in
.newsrc files, which maintain lists of articles:

    alt.foo: 1-21,28,31
    alt.bar: 1-14192,14194,14196-14221

Sets are stored internally in a run-length coded form.  This provides
for both compact storage and efficient computation.  In particular,
set operations can be performed directly on the encoded
representation.

%description -l ru_RU.KOI8-R
Set::IntSpan -      .   
      .  :

    alt.foo: 1-21,28,31
    alt.bar: 1-14192,14194,14196-14221

       .
 ,         
.

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*
%doc README

%changelog
* Wed Sep 26 2007 Gleb Stiblo <ulfR@altlinux.ru> 1.12-alt1
- added support for spans in constructors

* Thu May 24 2007 Gleb Stiblo <ulfR@altlinux.ru> 1.11-alt1
- new version

* Tue May 23 2006 Gleb Stiblo <ulfR@altlinux.ru> 1.09-alt1
- added indexing methods
- 'die' instead of 'craok' on fatal errors

* Tue Dec 21 2004 Gleb Stiblo <ulfR@altlinux.ru> 1.08-alt1
- new release

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.07-alt2
- glibc 2.3 build

* Tue Mar 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.07-alt1
- ALT adaptations.

